Đến nội dung


Hình ảnh

Làm sao để cố định vị trí đường DIM ?


  • Please log in to reply
9 replies to this topic

#1 girl

girl

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 02 November 2011 - 07:58 AM

Chào các anh ạ. EM cũng mới vẽ CAD thôi, nhiều khi mình move bản vẽ hay làm gì tác động đến đối tượng được DIM thì cái đường DIM đó tự nhảy nhót lung tung khỏi vị trí ban đầu. EM muốn có cái lisp hay biện pháp gì để cố định vị trí cái đường DIM không cho nó nhảy nhót khỏi vị trí khác. Không biết có anh nào có cao kiến gì không ạ ? E đã bit chỉnh trong option cái mục " Make new demention " rồi. Nhưng cái đó không có tác dụng !
  • 0

#2 zoro107

zoro107

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 02 November 2011 - 08:36 AM

bạn dùng lệnh DDA chọn tất cả các dim rồi enter la xong. Sau này nếu muốn tình trạng này ko sảy ra hãy vào dimstyle loại bỏ chức năng associate đi là xong... :D
  • 0

#3 girl

girl

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 02 November 2011 - 09:34 AM

THanks anh ! Nhưng e ko tìm thấy tính năng associate trong DIMSTYLE ! a chỉ dẫn chi tiết đường dẫn tới mục có tính năng đó đc ko ạ ?
  • 0

#4 zoro107

zoro107

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 02 November 2011 - 09:46 AM

À! bạn vào option > User Preferences > Associative Dimensioning > bỏ chọn Make new dimensions associative
  • 0

#5 baolandscape

baolandscape

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 24 February 2012 - 04:41 PM

bác ah e cung thử rùi nhưng sao cũng ko được bác ah.
  • 0

#6 baolandscape

baolandscape

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 24 February 2012 - 04:42 PM

http://www.cadviet.c...xep.dwg&w=62265
  • 0

#7 nhacanlangtu

nhacanlangtu

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 July 2016 - 11:33 AM

Chào các anh em trên diễn đàn! Các bạn cho mình hỏi cái lỗi dim này với, mình dim 1 đường thẳng xong rồi, mình nhấp vào chân dim để kéo tới cho đụng đường thẳng thì cái đường dim nó bị xéo theo lúc mình di chuyển chân dim luôn. Có bạn nào biết lỗi này không chỉ mình khắc phục với. Cảm ơn các bạn trước.http://www.cadviet.c...6654_loidim.dwg


  • 0

#8 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 13 July 2016 - 02:12 PM

Đó là dimaligned (lệnh dal), 2 chân dim luôn dài bằng nhau, bạn kéo 1 bên thì dim sẽ di chuyển sao cho 2 chân dài bằng nhau.

Nếu bạn muốn không bị méo thì dùng lệnh dli (dimlinear), nhưng dim nay chỉ theo 2 phương x hoặc y thôi, không dọc theo phương đường thẳng.


  • 0

#9 conankid

conankid

    biết vẽ rectang

  • Members
  • PipPip
  • 81 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 13 July 2016 - 02:22 PM

Chào các anh em trên diễn đàn! Các bạn cho mình hỏi cái lỗi dim này với, mình dim 1 đường thẳng xong rồi, mình nhấp vào chân dim để kéo tới cho đụng đường thẳng thì cái đường dim nó bị xéo theo lúc mình di chuyển chân dim luôn. Có bạn nào biết lỗi này không chỉ mình khắc phục với. Cảm ơn các bạn trước.http://www.cadviet.c...6654_loidim.dwg

Bạn dùng lệnh DLI để dim đi.file bạn gửi là bạn đang dùng lệnh DAL đó


  • 0

Chẳng biết ngày mai có ra sao

Mà có ra sao cũng chẳng sao.


#10 vanngeonhuxua

vanngeonhuxua

    biết vẽ pline

  • Members
  • PipPip
  • 62 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 14 July 2016 - 08:35 AM

;; DIM RotatedDimension UCS TU THIET LAP THEO HUONG DIM
;; THUC HIEN DIM GIONG CACH DIM BANG DIMALIGNED
;;;;BY TDV
(DEFUN C:RDimension(/  lst-var osmodeod Pt1 Pt2 Pt1X Pt1Y Pt2X Pt2Y)
  (setq lst-var (start-defun lst-var))
  (command "undo" "begin") 
  (setq osmodeod (getvar "osmode"))
  (setvar "cmdecho" 0)
  (command "_.ucsicon" "_off")
  (command "_.ucs" "_w")
  (setq Pt1 (getpoint "Specify first extension line origin:")) 
  (setq Pt2 (getpoint Pt1"\nSpecify second extension line origin:"))
  (prompt "\nSpecify dimension line location or Exit <Exit>:")
  (setq Pt1X (car Pt1))
  (setq Pt1Y (cadr Pt1))
  (setq Pt1 (list Pt1x Pt1Y 0)) ;;;set Z=0
  (setq Pt2X (car Pt2))
  (setq Pt2Y (cadr Pt2))
  (setq Pt2 (list Pt2x Pt2Y 0)) ;;;set Z=0
  (prompt "\nDimension text = ")
  (prin1 (distance Pt1 Pt2)) ;;; In ket qua ra
  
  
  (setvar "osmode" 0)
  (command "_.ucs" "_p")
  (if (and (= (car (trans Pt1 0 1)) (car (trans Pt2 0 1))) (< (cadr (trans Pt1 0 1)) (cadr (trans Pt2 0 1))))
   (command "_.ucs""_3" (trans Pt1 0 1) (trans Pt2 0 1) (polar (trans Pt1 0 1) (+ (DTR 90) (angle (trans Pt1 0 1) (trans Pt2 0 1))) 5))
   (progn
    (if (< (car (trans Pt1 0 1)) (car (trans Pt2 0 1)))
     (command "_.ucs""_3" (trans Pt1 0 1) (trans Pt2 0 1) (polar (trans Pt1 0 1) (+ (DTR 90) (angle (trans Pt1 0 1) (trans Pt2 0 1))) 5))
     (command "_.ucs""_3" (trans Pt2 0 1) (trans Pt1 0 1) (polar (trans Pt2 0 1) (+ (DTR 90) (angle (trans Pt2 0 1) (trans Pt1 0 1))) 5))
    )
   )
  )
  (setvar "osmode" osmodeod)
  (command "_.DIMLINEAR" "non" (trans Pt1 0 1) "non" (trans Pt2 0 1)  pause)
  (command "_.ucsicon" "_on")
  (command "_.ucs" "_p")
  (done-defun lst-var)
  (command "undo" "end")
  (princ)
  )
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; chuyen goc tu Do sang Radian
(defun DTR (A) (* pi (/ A 180.0)))
;;;;;;;;;;------------------THE END-----------------------;;;;;;;;
;;;;kiem-soat-loi-co-the-phat-sinh-khi-nguoi-dung-nhan-esc-de-thoat-lenh
(defun start-defun (lst-var / err)
 (setvar "cmdecho" 0) 
 (vla-StartUndoMark (vla-get-activedocument (vlax-get-acad-object)))
 (setq err *error*
       *error* (lambda (msg)
                (redraw)
                (vla-EndUndoMark (vla-get-activedocument (vlax-get-acad-object)))
                (vl-cmdf "u")
                (setq *error* (car lst-var))))
 (list err (mapcar (function (lambda (x) (list x (getvar x)))) lst-var)));end
 (defun done-defun (lst-var / )
 (mapcar (function (lambda (x) (setvar (car x) (cadr x)))) (cadr lst-var))
 (setq *error* (car lst-var))
 (vla-EndUndoMark (vla-get-activedocument (vlax-get-acad-object)))
 (princ));

Mình copy mỗi nơi 1 tý góp thành, cứ dim như lệnh DAL nhưng sẽ cho ra dim như khi dim dli.


  • 0